Bug 58400 - System.Uri broken with files
Summary: System.Uri broken with files
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System (show other bugs)
Version: 5.2 (2017-04)
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: Future Release
Assignee: Katelyn Gadd
URL:
Depends on:
Blocks:
 
Reported: 2017-07-25 20:42 UTC by Xavier Rigau
Modified: 2017-10-20 09:01 UTC (History)
6 users (show)

Tags: bugpool-archive
Is this bug a regression?: ---
Last known good build:


Attachments
Mac screenshot (45.78 KB, image/png)
2017-07-25 20:42 UTC, Xavier Rigau
Details
Windows URI (50.66 KB, image/png)
2017-07-25 20:42 UTC, Xavier Rigau
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Xavier Rigau 2017-07-25 20:42:21 UTC
Created attachment 23799 [details]
Mac screenshot

When you create a System.Uri with this string: "file://pdsmq.payload.dotnet.txt" the LocalPath field is "/"
Comment 1 Xavier Rigau 2017-07-25 20:42:47 UTC
Created attachment 23800 [details]
Windows URI
Comment 2 Xavier Rigau 2017-07-25 20:44:01 UTC
Windows LocalPath is "\\pdsmq.payload.dotnet.txt"
Comment 3 Chris Hamons 2017-07-25 20:50:27 UTC
I can reproduce this outside of Xamarin.Mac:

csharp> var uri = new System.Uri ("file://pdsmq.payload.dotnet.txt")
csharp> uri.LocalPath
"/"
Comment 4 Marek Safar 2017-10-19 09:40:08 UTC
https://github.com/mono/mono/pull/5779